import { ActiveRecord, IResourceDateTimeFormat } from '@oinone/kunlun-engine';
import { StandardString } from '@oinone/kunlun-shared';
import { ValidateTrigger } from '@oinone/kunlun-vue-ui-common';
import { WidgetComponent } from '@oinone/kunlun-vue-widget';
import moment from 'moment';
import { FormRangeFieldsWidget } from '../../../range';
export declare class FormDateTimeRangeFieldWidget extends FormRangeFieldsWidget<StandardString> {
    defaultValidateTrigger: ValidateTrigger[];
    protected getInitializeComponent(): WidgetComponent;
    initialize(props: any): this;
    protected resourceDateTimeFormat: IResourceDateTimeFormat;
    protected get format(): string | undefined;
    protected get dateFormat(): string | undefined;
    protected get timeFormat(): string | undefined;
    protected get allowClear(): boolean;
    protected get startPlaceholder(): any;
    protected get endPlaceholder(): any;
    protected get showTimeDefaultValue(): moment.Moment[];
    change(val: any): void;
    closePanelChange(): Promise<void>;
    protected generatorConstructMirrorSubmitData(): ActiveRecord;
    openPanelChange(): void;
    protected $$created(): Promise<void>;
}
